/*
 * @(#) StaticAttribute.java Jun 22, 2004
 * 
 * Copyright (c) 2003 Delft University of Technology Jaffalaan 5, 2628 BX Delft,
 * the Netherlands All rights reserved.
 * 
 * This software is proprietary information of Delft University of Technology
 * The code is published under the General Public License
 */
package nl.javel.gisbeans.map;

/**
 * <p>
 * (c) copyright 2003 <a href="http://www.simulation.tudelft.nl">Delft
 * University of Technology </a>, the Netherlands. <br>
 * See for project information <a
 * href="http://www.simulation.tudelft.nl">www.simulation.tudelft.nl </a> <br>
 * License of use: <a href="http://www.gnu.org/copyleft/gpl.html">General Public
 * License (GPL) </a>, no warranty <br>
 * 
 * @author <a href="http://www.tbm.tudelft.nl/webstaf/peterja/index.htm">Peter
 *         Jacobs </a>
 * @version 1.2 Jun 22, 2004
 * @since 1.4
 */
public class StaticAttribute extends AbstractAttribute
{
	/** the static angle */
	private double angle = 0.0;

	/** the static value */
	private String value = null;

	/**
	 * constructs a new StaticAttribute
	 * 
	 * @param layer the layer
	 * @param angle the angle
	 * @param value the value
	 */
	public StaticAttribute(LayerInterface layer, double angle, String value)
	{
		super(layer);
		this.angle = angle;
		this.value = value;
	}

	/**
	 * @see nl.javel.gisbeans.map.AttributeInterface#getAngle(int)
	 */
	public double getAngle(int shapeIndex)
	{
		return this.angle;
	}

	/**
	 * @see nl.javel.gisbeans.map.AttributeInterface#getValue(int)
	 */
	public String getValue(int shapeIndex)
	{
		return this.value;
	}
}